import random
import math
from transform_module import transform_signal

def main():
    x = [random.gauss(0.5, 5) for i in range(100)]
    # 0.5 - мат ожидание, 5 - СКО = корень из 25 (дисперсия = 25)
    y = transform_signal(x, 4.5)

    with open('file.txt', 'w') as f:
        f.write(f'{"xi":>12} {"yi":>12}\n')
        for xi, yi in zip(x, y):
            f.write(f'{xi:>12.6f} {yi:>12.6f}\n')

    # вывод в файле file.txt

main()
